<?php
/**
 * Template part for displaying posts.
 *
 * @package ogee
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
		<a href="<?php the_permalink(); ?>">
			<?php echo '<div class="post-thumbnail-wrap">';
				the_post_thumbnail();
			echo '</div>'; ?>
		</a>
	<?php endif; ?>
	
	<header class="entry-header">
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>

		<?php if ( 'post' == get_post_type() ) : ?>
		<div class="entry-meta">
			<?php ogee_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php	if($post->post_excerpt) {
					the_excerpt();
				} else {
					the_content( sprintf(
						/* translators: %s: Name of current post. */
						wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'ogee' ), array( 'span' => array( 'class' => array() ) ) ),
						the_title( '<span class="screen-reader-text">', '</span>', false )
					) );
				}
		?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ogee' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php ogee_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
